clang-tools 10.0.0

Public Member Functions | List of all members
clang::move::ClangMoveActionFactory Class Reference

`#include <Move.h>`

Inheritance diagram for clang::move::ClangMoveActionFactory:
[legend]
Collaboration diagram for clang::move::ClangMoveActionFactory:
[legend]

## Public Member Functions
| ClangMoveActionFactory (ClangMoveContext *const Context, DeclarationReporter *const Reporter=nullptr)
std::unique_ptr< clang::FrontendAction > | create () override

## Detailed Description

Definition at line 221 of file Move.h.

## Constructor & Destructor Documentation

## ◆ ClangMoveActionFactory()

clang::move::ClangMoveActionFactory::ClangMoveActionFactory | ( | ClangMoveContext *const | Context,
|  | DeclarationReporter *const | Reporter = `nullptr`
| ) |  |
| inline

Definition at line 223 of file Move.h.

## Member Function Documentation

## ◆ create()

std::unique_ptr<clang::FrontendAction> clang::move::ClangMoveActionFactory::create | ( |  | ) |
| inline override

Definition at line 227 of file Move.h.

The documentation for this class was generated from the following file:

- Move.h